package com.kym.service.wechat;

import java.time.format.DateTimeFormatter;
import java.util.Map;

/**
 * 公众号模板消息参数构建
 */
public interface TemplateParamBuilder {
    DateTimeFormatter formatter = DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss");
    default String formatAmount(int amount) {
        return String.format("%d.%02d元", amount / 100, amount % 100);
    }
    Map<String, String> buildParams(Object... args);
}
